diff --git a/koan/app.py b/koan/app.py
index 2e1ee56..833f7cc 100755
--- a/koan/app.py
+++ b/koan/app.py
@@ -1092,6 +1092,7 @@ class Koan:
             ip = self.safe_load(interface_data, "ip_address")
             subnet = self.safe_load(interface_data, "subnet")
             gateway = self.safe_load(pd, "gateway")
+            dns = self.safe_load(pd, "name_servers")
 
             hashv["ksdevice"] = self.static_interface
             if ip is not None:
@@ -1100,6 +1101,8 @@ class Koan:
                 hashv["netmask"] = subnet
             if gateway is not None:
                 hashv["gateway"] = gateway
+            if dns is not None:
+                hashv["dns"] = string.join(dns, ",")
 
         if replace_self and self.embed_kickstart:
            hashv["ks"] = "file:ks.cfg"
diff --git a/koan/live/base.cfg b/koan/live/base.cfg
index 55a07c2..417d096 100644
--- a/koan/live/base.cfg
+++ b/koan/live/base.cfg
@@ -17,8 +17,8 @@ services --disable sshd
 # not work. Perhaps it has something to do with the default repos in
 # /etc/yum.repos.d not getting properly disabled?
 
-repo --name=todos --baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/10/Everything/i386/os/
-repo --name=updatez --baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/10/i386/
+repo --name=todos --baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/12/Everything/i386/os/
+repo --name=updatez --baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/12/i386/
 repo --name=newkoan --baseurl=file:///tmp/newkoan/
 
 text
@@ -76,6 +76,8 @@ policycoreutils
 grub
 eject
 tree
+lokkit
+rhpl
 
 %post
 
@@ -123,7 +125,6 @@ ESFDISK
 mkfs -t ext3 /dev/sda1
 
 # fix fstab/mtab
-
 cat >> /etc/fstab << EFSTAB
 /dev/sda1	/tmp/boot	ext3	defaults,noatime 0 0
 EFSTAB
@@ -157,9 +158,12 @@ EGRUB
 # now we're ready to do it for real
 INSERT_KOAN_ARGS --livecd
 
+# koan pulls these down to /boot, not /tmp/boot/boot.  Oops.
+cp /boot/initrd.img /boot/vmlinuz /tmp/boot/boot
+
 # once through debugging
-# eject
-# reboot
+#eject
+#reboot
 
 EOF
 
diff --git a/koan/live/build.py b/koan/live/build.py
index 83e94ef..d573403 100644
--- a/koan/live/build.py
+++ b/koan/live/build.py
@@ -43,17 +43,21 @@ def main(args):
    p.add_option("-k","--koan",action="store",help="additional koan arguments, if any")
    p.add_option("-s","--server",action="store",help="cobbler server address")
    (options,args) = p.parse_args()
-
+   
    if options.server is None:
       print >>sys.stderr, "error: --server is required"
       sys.exit(1)
+   else:
+      options.koan = options.koan + " --server=%s" % options.server
    if options.koan is None:
       options.koan = "--replace-self --server=%s" % options.server
    if options.koan.find("--server") == -1 and options.koan.find("-s") == -1:
       options.koan = options.koan + " --server=%s" % options.server
    if options.koan.find("--replace-self") == -1:
       options.koan = options.koan + " --replace-self"
-
+      
+   print options.koan
+   
    if not os.path.exists("/usr/bin/livecd-creator"):
       print "livecd-tools needs to be installed"
       sys.exit(1)
